## python-ilorest 2.3.1%2B20180725%2Bds

=== debian/changelog ===
python-ilorest (2.3.1+20180725+ds-1) unstable; urgency=medium

  * initial upload (Closes: #903953)
  * []bbdb4b] New upstream version 2.3.1+20180725+ds
  * [7f38742] basic Debianization
  * [05cc4b5] adding a basic autopkgtest

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 25 Jul 2018 12:20:50 +0800

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

export PYBUILD_DESTDIR_python2=debian/python-ilorest
export PYBUILD_DESTDIR_python3=debian/python3-ilorest
export PYBUILD_DISABLE=test

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	rm -rf docs/themes
	mkdir docs/themes
	cd docs/themes && ln -s /usr/lib/python3/dist-packages/sphinx_rtd_theme
	dh_auto_build

override_dh_install:
	cd docs && make html
	dh_install
	mkdir debian/python-ilorest-doc/usr/share/doc/python-ilorest-doc/html/themes

=== debian/tests/control ===
Tests: smoke
Depends: python3-ilorest
Restrictions: allow-stderr

=== debian/watch ===
# watch file for kicad-symbols from KiCad
#

# opts= ...
# pgpsigurlmangle=s/archive\/(\d\S+)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc/ \
# ...

version=4

opts="uversionmangle=s/\.-rc/~rc/;s/\.+$//, \
  dversionmangle=s/\+ds(\.?\d+)?$//" \
  https://github.com/HewlettPackard/python-ilorest-library/tags .*/v(\d+\.\d+\.\d+)(-rc\d)?\.tar\.[gx]z

## python-ilorest 2.3.1+20180725+ds

=== requirements.txt ===
jsonpatch
jsonpath_rw
jsonpointer
validictory
urlparse2
six

=== debian/changelog ===
python-ilorest (2.3.1+20180725+ds-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * [5d3d776] debian/gbp.conf: adjust to debian/stretch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 13 Sep 2018 18:10:23 +0200

## python-ilorest 2.5.1+ds

=== debian/changelog ===
python-ilorest (2.5.1+ds-1ubuntu1) eoan; urgency=medium

  * d/control, d/rules: Drop Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 17 Sep 2019 16:27:42 +0200

python-ilorest (2.5.1+ds-1) unstable; urgency=medium

  * [bb0334c] New upstream version 2.5.1+ds

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 16 Jul 2019 10:01:09 -0300

python-ilorest (2.5.0+ds-1) unstable; urgency=medium

  * [bca0381] New upstream version 2.5.0+ds
    + Added http/socks proxy support
  * [8b85452] d/rules: enable library tests while build
  * [07cb570] d/control: bump Standards-Version to 4.4.0
    + No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 11 Jul 2019 12:19:54 +0200

python-ilorest (2.4.2+ds-1) unstable; urgency=medium

  * [9052da4] New upstream version 2.4.2+ds
    + Fixed error using urllib3
      see: https://github.com/HewlettPackard/python-ilorest-library/issues/46
    + Updated ex48_set_bios_password

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 19 May 2019 09:59:33 +0200

python-ilorest (2.4.1-1) unstable; urgency=medium

  * [a87a094] New upstream version 2.4.1
    + Updates to use urlib3
    + Updates to reflect generic Redfish implementations in RMC
    + Improved validation code
  * [cc0519e] d/control: bump Standards-Version to 4.3.0
    + No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 30 Mar 2019 08:05:37 +0100

=== debian/control ===
Source: python-ilorest
Section: python
Priority: optional
Maintainer: Carsten Schoenert <c.schoenert@t-online.de>
Build-Depends:
 debhelper (>= 11),
 dh-python,
 python,
 python-setuptools,
 python3,
 python3-jsonpatch,
 python3-jsonpath-rw,
 python3-setuptools,
 python3-uritools,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme,
 python3-sphinxcontrib.restbuilder,
Vcs-Git: https://salsa.debian.org/tijuca/python-ilorest.git
Vcs-Browser: https://salsa.debian.org/tijuca/python-ilorest
Standards-Version: 4.4.0
Homepage: https://github.com/HewlettPackard/python-ilorest-library

Package: python-ilorest-doc
Section: doc
Architecture: all
Depends:
 python3-sphinx-rtd-theme,
 ${misc:Depends},
Description: Documentation of RESTful API for HPE iLO and HPE Chassis Manager
 This package contains the Sphinx based documentation for the library
 python-ilorest.
 .
 It contains also the examples from upstream that explain the usage of the
 library with dedicated examples.

Package: python3-ilorest
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: RESTful API for HPE iLO and iLO Chassis Manager based HPE servers (Python3)
 HPE RESTful API for iLO is a RESTful application programming interface for the
 management of iLO and iLO Chassis Manager based HPE servers.
 .
 REST (Representational State Transfer) is a web based software architectural
 style consisting of a set of constraints that focuses on a system's resources.
 iLO REST library performs the basic HTTP operations GET, POST, PUT, PATCH and
 DELETE on resources using the HATEOAS (Hypermedia as the Engine of Application
 State) REST architecture. The API allows the clients to manage and interact
 with iLO through a fixed URL and several URIs.
 .
 This package contains the Python 3 version.

## python-ilorest 3.0.0+ds

=== debian/changelog ===
python-ilorest (3.0.0+ds-1~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports.
  * [a44561a] Revert "dh: move over to debhelper-compat"
  * [47354cc] Revert "d/control: adding Rules-Requires-Root: no"

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 16 Nov 2019 09:42:42 +0100

python-ilorest (3.0.0+ds-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 16 Nov 2019 09:30:25 +0100

python-ilorest (3.0.0+ds-1) unstable; urgency=medium

  * [2e3bc11] New upstream version 3.0.0+ds
    + Added support for urllib3's kwargs. (timeout, retires, etc.)
    + Changed the format to create a Redfish or Rest client from a function
      into a Class.
    + Refactored v1 and rmc.
  * [4b17301] d/control: bump Standards-Version to 4.4.1
    + No further changes needed.
  * [3666c4f] doc-base: remove iLO_sys1.jpg from list
    + This file isn't shipped and used any more.
  * [8069353] dh: move over to debhelper-compat
  * [35a0046] d/control: add ${sphinxdoc:Depends}
  * [d8b2c92] d/control: adding Rules-Requires-Root: no

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 13 Nov 2019 22:25:24 +0100

python-ilorest (2.5.2+ds-1~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 29 Sep 2019 16:47:14 +0200

python-ilorest (2.5.2+ds-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * [0df708e] Revert changes from unstable

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 29 Sep 2019 16:30:19 +0200

python-ilorest (2.5.2+ds-1) unstable; urgency=medium

  * [4a2e3b3] New upstream version 2.5.2+ds

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 15 Sep 2019 11:29:31 +0200

python-ilorest (2.5.1+ds-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Removed Python 2 support (Closes: #937829).

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Sep 2019 13:56:55 +0200

python-ilorest (2.5.1+ds-1~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports.
  * [4e437db] d/control: use python3-urllib3 instad of -uritools
    + Make unit test also working on Stretch.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 31 Jul 2019 17:15:33 +0200

python-ilorest (2.5.1+ds-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 31 Jul 2019 13:15:10 +0200

python-ilorest (2.5.0+ds-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * [e95c70f] d/gbp.conf: adjust to debian/buster

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 31 Jul 2019 13:05:09 +0200

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
  dh-python,
  python,
  python-setuptools,
- python3,
+ python3-all,
  python3-jsonpatch,
  python3-jsonpath-rw,
  python3-setuptools,
- python3-uritools,
+ python3-urllib3,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme,
  python3-sphinxcontrib.restbuilder,
 Vcs-Git: https://salsa.debian.org/tijuca/python-ilorest.git
 Vcs-Browser: https://salsa.debian.org/tijuca/python-ilorest
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/HewlettPackard/python-ilorest-library
 
 Package: python-ilorest-doc
@@ -26,12 +26,31 @@
 Depends:
  python3-sphinx-rtd-theme,
  ${misc:Depends},
+ ${sphinxdoc:Depends},
 Description: Documentation of RESTful API for HPE iLO and HPE Chassis Manager
  This package contains the Sphinx based documentation for the library
  python-ilorest.
  .
  It contains also the examples from upstream that explain the usage of the
  library with dedicated examples.
+
+Package: python-ilorest
+Architecture: all
+Depends:
+ ${misc:Depends},
+ ${python:Depends},
+Description: RESTful API for HPE iLO and iLO Chassis Manager based HPE servers (Python2)
+ HPE RESTful API for iLO is a RESTful application programming interface for the
+ management of iLO and iLO Chassis Manager based HPE servers.
+ .
+ REST (Representational State Transfer) is a web based software architectural
+ style consisting of a set of constraints that focuses on a system's resources.
+ iLO REST library performs the basic HTTP operations GET, POST, PUT, PATCH and
+ DELETE on resources using the HATEOAS (Hypermedia as the Engine of Application
+ State) REST architecture. The API allows the clients to manage and interact
+ with iLO through a fixed URL and several URIs.
+ .
+ This package contains the Python 2 version.
 
 Package: python3-ilorest
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 
 export PYBUILD_DESTDIR_python2=debian/python-ilorest
 export PYBUILD_DESTDIR_python3=debian/python3-ilorest
-export PYBUILD_DISABLE=test
 
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

## python-ilorest 3.1.1%2Bds

=== debian/changelog ===
python-ilorest (3.1.1+ds-1) unstable; urgency=medium

  * [7bfe887] autopkg: mark current test superficial
    (Closes: #974508)
  * [38fb709] New upstream version 3.1.1+ds
    + Provided an option to input session_key for the REDfishClient class.
    + The iloaccounts command now provides the output in JSON format.
    + The createlogicaldrive quickdrive command now successfully runs.
    + BIOS and the poweron passwords can now be set without any password.
    + Fixed in this release:
      AHS data failing to download sometimes.
      An issue with downloading AHS when iLOREST is running locally on a
      server.
      The privilege modification of an iLO user account that was incorrectly
      applied on another user.
      The body of the onebuttonerase command, so that it could POST
      successfully.
  * [874c642] create patch queue from patchqueue branch
    + added patches:
      Correct-some-rst-syntax.patch
      Use-anonymous-reference-for-linking.patch
      resp_handler.py-check-verbosity-against-equality-of-1.patch
  * [b4c4532] d/control: bump Standards-Version to 4.5.1
    + No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 17 Nov 2020 19:58:05 +0100

python-ilorest (3.1.0+ds-1) unstable; urgency=medium

  * [3b4e97e] New upstream version 3.1.0+ds
    + Added more examples
      * flash_firmware_by_uefi.py
      * reset_server.py
      * set_syslogserver.py
      * upload_firmware_ilo_repository_with_compsig.py
    + Updated to support Restful Interface Tool 3.1.0
  * [465cf0b] d/control: bump debhelper-compat to 13
  * [6c571cb] d/control: bump Standards-Version to 4.5.0
    + No further changes needed.
  * [e1bd3e8] d/u/metadata: adding upstream metadata file

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 07 Oct 2020 12:29:04 +0200

## python-ilorest 3.1.1+ds

=== Makefile ===
UNZIP=$(shell which unzip)
EXPORT=$(shell which export)
FIND=$(shell which find)
ECHO=$(shell which echo)
RM=$(shell which rm)
PYTHON=$(shell which python)
PYLINT=$(shell which pylint)
NOSE=$(shell which nosetests)
CREATE_CHROOT := /net/blofly.us.rdlabs.hpecorp.net/data/blofly/iss-linux-sdk/chrootbuilder/create_chroot.sh
CHROOT := /net/blofly.us.rdlabs.hpecorp.net/data/blofly/iss-linux-sdk/chrootbuilder/tools/muchroot
BUILD_DIR := $(shell pwd)/.blddir
SOURCEDIR := $(shell pwd)/
ZYPPER := zypper --non-interactive install


all: bdist-rpm bdist-rpm-python3

bdist-rpm:
	zypper --non-interactive install rpm-build 
	$(eval DIR=$(shell pwd))
	$(eval ILOREST=$(DIR)/ilorest/src)
	$(eval PYTHONPATH=$(ILOREST):$(PYTHONPATH))
	mkdir ${MTX_COLLECTION_PATH}/python2/
	tar xfz ./packaging/ext/setuptools-2.2.tar.gz
	cd ./setuptools-2.2 && \
	$(PYTHON) setup.py install
	tar xfz ./packaging/ext/PySocks-1.6.8.tar.gz
	cd ./PySocks-1.6.8 && \
	$(PYTHON) setup.py install
	unzip ./packaging/ext/recordtype-1.1.zip
	cd ./recordtype-1.1 && \
	$(PYTHON) setup.py bdist_rpm --dist-dir ${MTX_COLLECTION_PATH}/python2/
	tar xfz ./packaging/ext/pypandoc-1.4.tar.gz
	cd ./pypandoc-1.4 $$ \
	$(PYTHON) setup.py install
	tar xfz ./packaging/ext/jsonpointer-1.10.tar.gz
	cd ./jsonpointer-1.10 && \
	iconv -f 'UTF-8' -t 'ASCII//TRANSLIT//IGNORE' jsonpointer.py > jp && \
	cp -f jp jsonpointer.py
	cd ./jsonpointer-1.10 && \
	rm jp
	cd ./jsonpointer-1.10 && \
	$(PYTHON) setup.py bdist_rpm --dist-dir ${MTX_COLLECTION_PATH}/python2/
	tar xfz ./packaging/ext/jsonpatch-1.16.tar.gz
	cd ./jsonpatch-1.16 && \
	iconv -f 'UTF-8' -t 'ASCII//TRANSLIT//IGNORE' jsonpatch.py > jp && \
	cp -f jp jsonpatch.py
	cd ./jsonpatch-1.16 && \
	rm jp
	cd ./jsonpatch-1.16 && \
	$(PYTHON) setup.py bdist_rpm --dist-dir ${MTX_COLLECTION_PATH}/python2/
	tar xfz ./packaging/ext/jsonpath-rw-1.4.0.tar.gz
	cd ./jsonpath-rw-1.4.0 && \
	$(PYTHON) setup.py bdist_rpm --dist-dir ${MTX_COLLECTION_PATH}/python2/
	tar xfz ./packaging/ext/decorator-4.1.2.tar.gz
	cd ./decorator-4.1.2 && \
	$(PYTHON) setup.py bdist_rpm --dist-dir ${MTX_COLLECTION_PATH}/python2/
	tar xfz ./packaging/ext/six-1.10.0.tar.gz
	cd ./six-1.10.0 && \
	$(PYTHON) setup.py bdist_rpm --dist-dir ${MTX_COLLECTION_PATH}/python2/
	tar xfz ./packaging/ext/urllib3-1.23.tar.gz
	cd ./urllib3-1.23 && \
	$(PYTHON) setup.py bdist_rpm --dist-dir ${MTX_COLLECTION_PATH}/python2/
	tar xfz ./packaging/ext/ply-3.10.tar.gz
	cd ./ply-3.10 && \
	$(PYTHON) setup.py bdist_rpm --dist-dir ${MTX_COLLECTION_PATH}/python2/
	$(PYTHON) setup.py bdist_rpm --dist-dir ${MTX_COLLECTION_PATH}/python2/
	rm -rf ${MTX_COLLECTION_PATH}/*.src.rpm
	rm -rf ${MTX_COLLECTION_PATH}/python2/*.src.rpm


define build-pkg
	tar xfz $(BUILD_DIR)/buildpwd/packaging/ext/$1* -C $(BUILD_DIR)/buildpwd/
	$(CHROOT) $(BUILD_DIR) bash -c 'cd /buildpwd/$1 && python3 setup.py bdist_rpm --dist-dir /collection/'
	rm -r $(BUILD_DIR)/buildpwd/$1
endef

export LC_ALL=en_US.UTF-8
export PYTHONIOENCODING=utf-8
bdist-rpm-python3:
	$(CREATE_CHROOT) -d SLES15 -D $(BUILD_DIR)
	$(CHROOT) $(BUILD_DIR) $(ZYPPER) python3 python3-setuptools
	mkdir -p $(BUILD_DIR)/buildpwd $(BUILD_DIR)/collection/
	cp -a $(SOURCEDIR)* $(BUILD_DIR)/buildpwd

	$(call build-pkg,recordtype-1.3)
	$(call build-pkg,pypandoc-1.4)
	$(call build-pkg,jsonpointer-2.0)
	$(call build-pkg,jsonpatch-1.23)
	$(call build-pkg,jsonpath-rw-1.4.0)
	$(call build-pkg,decorator-4.1.2)
	$(call build-pkg,urllib3-1.23)
	$(call build-pkg,ply-3.10)
	$(call build-pkg,pypandoc-1.4)
	$(call build-pkg,six-1.10.0)
	#cd $(BUILD_DIR)/collection/ && rename "" python3- *.rpm
	$(CHROOT) $(BUILD_DIR) bash -c 'cd /buildpwd/ && python3 setup.py bdist_rpm --dist-dir /collection/'
	#cd $(BUILD_DIR)/collection/ && rename python- python3- *.rpm
	mkdir ${MTX_COLLECTION_PATH}/python3/
	mv $(BUILD_DIR)/collection/*.noarch.rpm ${MTX_COLLECTION_PATH}/python3/
	rm -rf ${MTX_COLLECTION_PATH}/*.src.rpm
	rm -rf ${MTX_COLLECTION_PATH}python3/*.src.rpm

=== debian/changelog ===
python-ilorest (3.1.1+ds-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * [ed454d7] Revert "d/control: bump debhelper-compat to 13"

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 18 Nov 2020 18:14:18 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Carsten Schoenert <c.schoenert@t-online.de>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
  python,
  python-setuptools,
@@ -11,13 +11,14 @@
  python3-jsonpatch,
  python3-jsonpath-rw,
  python3-setuptools,
- python3-urllib3,
+ python3-uritools,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme,
  python3-sphinxcontrib.restbuilder,
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/tijuca/python-ilorest.git
 Vcs-Browser: https://salsa.debian.org/tijuca/python-ilorest
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/HewlettPackard/python-ilorest-library
 
 Package: python-ilorest-doc

## python-ilorest 3.2.2+ds

=== requirements.txt ===
jsonpatch
jsonpath_rw
jsonpointer
urllib3
six
certifi

=== debian/changelog ===
python-ilorest (3.2.2+ds-1) unstable; urgency=medium

  * [9e27c83] d/watch: Adjust watch logic
    + Upstream seems to rush the releases and is working a bit careless.
      The latest tag isn't containing the character 'v' in the release text,
      using 'git mode' now in uscan so it will detect new releases any way.
  * [64a9e6a] New upstream version 3.2.2+ds
  * [6e631b0] rebuild patch queue from patch-queue branch
    + added patch:
      debian-hacks/Make-examples-local-available.patch
      Remove-git-merge-cruft.patch
    + reworked patches (rebased):
      Add-missing-dependency-on-python-certifi.patch
      Correct-some-rst-syntax.patch
      Use-anonymous-reference-for-linking.patch
  * [3cc5925] python-ilorest-doc: Simplify sphinx installation stuff
    + Using dedicated override_dh_sphinxdoc that reduces the required sequencer
      files to a minimum. Also the amount of make targets in d/rules.
  * [12f37c6] python-ilorest-doc: Using sequencer file for examples
    + Using the option to let the examples sequencer defines the content to
      install.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 25 Jul 2021 17:32:34 +0200

python-ilorest (3.2.1+ds-2) unstable; urgency=medium

  * [14cc5a9] rebuild patch queue from patch-queue branch
    + added patches:
      Add-missing-dependency-on-python-certifi.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 28 Apr 2021 19:04:59 +0200

python-ilorest (3.2.1+ds-1) unstable; urgency=medium

  * [a3e2e23] New upstream version 3.2.1+ds
  * [f30fe74] rebuild patch queue from patch-queue branch
   + removed patch (included upstream):
     resp_handler.py-check-verbosity-against-equality-of-1.patch
  * [8df6cd5] d/copyright: Update years of contributions

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 24 Apr 2021 16:21:48 +0200

=== debian/watch ===
# watch file for python-ilorest-library
#

# opts= ...
# pgpsigurlmangle=s/archive\/(\d\S+)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc/ \
# ...

version=4

opts="mode=git, \
      filenamemangle=s/.+\/(\d\S*)\.tar\.gz/python-ilorest-library-$1.tar.gz/ \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/HewlettPackard/python-ilorest-library.git \
refs/tags/(\d+\.\d+|\d+\.\d+\.\d+)

## python-ilorest 3.5.0.0%2Bds

=== debian/changelog ===
python-ilorest (3.5.0.0+ds-1) unstable; urgency=medium

  * [bc6faf2] New upstream version 3.5.0.0+ds

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 30 Jan 2022 16:19:45 +0100

python-ilorest (3.3.0.0+ds-1) unstable; urgency=medium

  * [cdd05ff] d/watch: Adjust watch logic again
  * [62848dc] New upstream version 3.3.0.0+ds
  * [61c50c4] Rebuild patch queue from patch-queue branch
    + added patch:
      Fix-up-usage-of-dash-separated-key-in-setup.cfg.patch
      debian-hacks/Adjust-import-of-collections-module.patch
    + modified patch:
      Correct-some-rst-syntax.patch
  * [b6e9d3a] d/control: Bump Standards-Version to 4.6.0
    + No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 11 Dec 2021 07:31:16 +0100

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

export PYBUILD_DESTDIR_python3=debian/python3-ilorest

%:
	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -N docs/ $(CURDIR)/debian/python-ilorest-doc/usr/share/doc/python-ilorest-doc/html
	dh_sphinxdoc
endif

=== debian/watch ===
--- 
+++ 
@@ -12,4 +12,4 @@
       uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
       dversionmangle=s/\+ds(\.?\d+)?$//" \
 https://github.com/HewlettPackard/python-ilorest-library.git \
-refs/tags/(\d+\.\d+|\d+\.\d+\.\d+)
+      refs/tags/v(\d\S+)

## python-ilorest 3.5.0.0+ds

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,8 @@
 Priority: optional
 Maintainer: Carsten Schoenert <c.schoenert@t-online.de>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
- python,
- python-setuptools,
  python3-all,
  python3-jsonpatch,
  python3-jsonpath-rw,
@@ -18,7 +16,7 @@
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/tijuca/python-ilorest.git
 Vcs-Browser: https://salsa.debian.org/tijuca/python-ilorest
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/HewlettPackard/python-ilorest-library
 
 Package: python-ilorest-doc
@@ -34,24 +32,6 @@
  .
  It contains also the examples from upstream that explain the usage of the
  library with dedicated examples.
-
-Package: python-ilorest
-Architecture: all
-Depends:
- ${misc:Depends},
- ${python:Depends},
-Description: RESTful API for HPE iLO and iLO Chassis Manager based HPE servers (Python2)
- HPE RESTful API for iLO is a RESTful application programming interface for the
- management of iLO and iLO Chassis Manager based HPE servers.
- .
- REST (Representational State Transfer) is a web based software architectural
- style consisting of a set of constraints that focuses on a system's resources.
- iLO REST library performs the basic HTTP operations GET, POST, PUT, PATCH and
- DELETE on resources using the HATEOAS (Hypermedia as the Engine of Application
- State) REST architecture. The API allows the clients to manage and interact
- with iLO through a fixed URL and several URIs.
- .
- This package contains the Python 2 version.
 
 Package: python3-ilorest
 Architecture: all

## python-ilorest 3.5.1.0+ds

=== debian/changelog ===
python-ilorest (3.5.1.0+ds-1) unstable; urgency=medium

  * [f94ba78] New upstream version 3.5.1.0+ds
  * [bf1d6cf] d/control: Bump Standards-Version to 4.6.1
    + No further changes needed.
  * [d1f9c88] d/copyright: Update years of contributions

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 30 May 2022 20:00:39 +0200

## python-ilorest 3.6.0.0%2Bds

=== debian/changelog ===
python-ilorest (3.6.0.0+ds-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 07 Nov 2022 19:50:22 +0100

python-ilorest (3.6.0.0+ds-1) unstable; urgency=medium

  * [c3f8634] New upstream version 3.6.0.0
  * [4c8c56e] Rebuild patch queue from patch-queue branch
    + removed patches:
      Remove-git-merge-cruft.patch
      debian-hacks/Adjust-import-of-collections-module.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 09 Oct 2022 10:26:50 +0200

python-ilorest (3.5.1.0+ds-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 05 Jun 2022 14:42:00 +0200

python-ilorest (3.5.0.0+ds-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 05 Mar 2022 12:30:47 +0100

python-ilorest (3.3.0.0+ds-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 01 Jan 2022 20:55:22 +0100

python-ilorest (3.2.2+ds-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * [1eb0b9c] d/gbp.conf: Adjust to target bullseye

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 22 Aug 2021 13:07:57 +0200

## python-ilorest 3.6.0.0+ds

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = .build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/iLORESTfulAPI.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/iLORESTfulAPI.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/iLORESTfulAPI"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/iLORESTfulAPI"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/tijuca/python-ilorest.git
 Vcs-Browser: https://salsa.debian.org/tijuca/python-ilorest
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/HewlettPackard/python-ilorest-library
 
 Package: python-ilorest-doc

## python-ilorest 4.3.0.0+ds

=== debian/changelog ===
python-ilorest (4.3.0.0+ds-1) unstable; urgency=medium

  * [7e943b1] New upstream version 4.3.0.0+ds
  * [a0200c4] Revert "d/control: Add Built-Using to -doc package"
  * [15a0a0f] d/copyright: Update years of contributions
  * [804e1a8] d/watch: Add two more options

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 01 Jul 2023 08:28:34 +0200

python-ilorest (4.2.0.1+ds-1) unstable; urgency=medium

  * [2391ab0] New upstream version 4.2.0.1+ds
  * [cbb8ace] d/control: Add Built-Using to -doc package

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 15 Jun 2023 19:18:31 +0200

python-ilorest (4.1.0.0+ds-1) experimental; urgency=medium

  * [885fbf3] d/{control,rules}: Move over to dh-sequence-python3
  * [4e2d278] d/{control,rules}: Move to dh-sequence-sphinxdoc
  * [91e20ca] d/*: Don't try running dh_auto_tests
  * [d6d2e6c] New upstream version 4.1.0.0+ds
  * [85aec86] d/control: Bump Standards-Version to 4.6.2
    + No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 24 Apr 2023 20:35:31 +0200

=== debian/watch ===
--- 
+++ 
@@ -8,6 +8,8 @@
 version=4
 
 opts="mode=git, \
+      pgpmode=none, \
+      repacksuffix=+ds, \
       filenamemangle=s/.+\/(\d\S*)\.tar\.gz/python-ilorest-library-$1.tar.gz/ \
       uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
       dversionmangle=s/\+ds(\.?\d+)?$//" \

## python-ilorest 4.8.0.0%2Bds

=== Makefile ===
UNZIP=$(shell which unzip)
EXPORT=$(shell which export)
FIND=$(shell which find)
ECHO=$(shell which echo)
RM=$(shell which rm)
PYTHON=$(shell which python)
PYLINT=$(shell which pylint)
NOSE=$(shell which nosetests)
CREATE_CHROOT := /net/blofly.us.rdlabs.hpecorp.net/data/blofly/iss-linux-sdk/chrootbuilder/create_chroot.sh
CHROOT := /net/blofly.us.rdlabs.hpecorp.net/data/blofly/iss-linux-sdk/chrootbuilder/tools/muchroot
BUILD_DIR := $(shell pwd)/.blddir
SOURCEDIR := $(shell pwd)/
ZYPPER := zypper --non-interactive install
TOPDIR:=$(shell pwd)/topdir
BUILD_DIR := $(shell pwd)/.blddir
SRCROOT := $(shell pwd)
CHROOT_LOCAL_DIR:= $(shell pwd)

NAME:=ilorest
VERSION:=2.4.0
RELEASE:=1
SPHINXBUILD:=$(BUILD_DIR)/pylib/Sphinx-1.0.7/sphinx-build.py
BLOFLY := /net
#CREATE_CHROOT := /net/blofly.us.rdlabs.hpecorp.net/data/blofly/iss-linux-sdk/chrootbuilder/create_chroot.sh
CREATE_CHROOT := $(CHROOT_LOCAL_DIR)/chrootbuilder/create_chroot.sh
#CHROOT := /net/blofly.us.rdlabs.hpecorp.net/data/blofly/iss-linux-sdk/chrootbuilder/tools/muchroot
CHROOT := $(CHROOT_LOCAL_DIR)/chrootbuilder/tools/muchroot
UNAME_SPOOF := /net/blofly.us.rdlabs.hpecorp.net/data/blofly/iss-linux-sdk/chrootbuilder/tools/uname_spoof
export CHROOT_DESTDIR=/home

ifdef MTX_PRODUCT_VERSION
  VERSION:=$(MTX_PRODUCT_VERSION)
endif

ifdef MTX_BUILD_NUMBER
  RELEASE:=$(MTX_BUILD_NUMBER)
endif


DEBCHROOTD := $(BUILD_DIR)/chroots/squeeze

all: freeze-src rpms

rpms:
	$(call freeze-chroot,x86_64)

	#$(CHROOT) $(DEBCHROOTD) bash -c 'useradd -m monkey'
	#cp "$(NAME)-$(VERSION).tar.bz2" $(DEBCHROOTD)/home/monkey
	#$(CHROOT) $(DEBCHROOTD) bash -c 'su - monkey -c "mkdir -p ~/build && cd ~/build && mkdir -p BUILD RPMS SOURCES SPECS SRPMS"'
	#echo "export LDFLAGS=-L/usr/local/ssl/lib/" > $(DEBCHROOTD)/home/monkey/c.sh
	#echo "export SL_INSTALL_PATH=/usr/local/ssl" >> $(DEBCHROOTD)/home/monkey/c.sh
	#echo "export OPENSSL_FIPS=1" >> $(DEBCHROOTD)/home/monkey/c.sh
	#echo "export LD_LIBRARY_PATH=/usr/local/ssl/lib/" >> $(DEBCHROOTD)/home/monkey/c.sh
	#echo "export CPPFLAGS=-I/usr/local/ssl/include/ -I/usr/local/ssl/include/openssl/" >> $(DEBCHROOTD)/home/monkey/c.sh
	#echo "rpmbuild -ta --define '_topdir /home/monkey/build/' /home/monkey/$(NAME)-$(VERSION).tar.bz2 " >> $(DEBCHROOTD)/home/monkey/c.sh
	#$(CHROOT) $(DEBCHROOTD) bash -c 'chmod a+x /home/monkey/c.sh'
	#$(CHROOT) $(DEBCHROOTD) bash -c 'su - monkey -c "/home/monkey/c.sh"'
	#cp -r $(DEBCHROOTD)/home/monkey/build/RPMS/ .

	#-find ./RPMS -type f -name '*-debuginfo-*.rpm' -exec rm -f {} \;
	#-find ./RPMS -type d -empty -exec rmdir {} \;

ifdef MTX_COLLECTION_PATH
	#cp -r ./RPMS $(MTX_COLLECTION_PATH)/
	# hpsign will error out if signing not successful
	hpsign --signonly `find /opt/mxdk/buildagent/work/MTX_COLLECTION_PATH -type f -name '*.rpm'`
endif

freeze-src:
	rm -rf hp
	git clone git@github.hpe.com:ess-morpheus/chrootbuilder.git $(CHROOT_LOCAL_DIR)/chrootbuilder

define freeze-chroot
	rm -rf $(BUILD_DIR)/chroots
	# create the chroot

	$(CREATE_CHROOT) -d SLES12SP2 -a $1 -D $(DEBCHROOTD)

	#import keys
	cp -r $(CHROOT_LOCAL_DIR)/chrootbuilder/public_keys $(DEBCHROOTD)/
	$(CHROOT) $(DEBCHROOTD) mkdir -p /usr/lib/rpm/gnupg/
	#$(CHROOT) $(DEBCHROOTD) bash -c 'gpg --import /public_keys/*.asc'

	$(CHROOT) $(DEBCHROOTD) zypper --non-interactive install zlib-devel libffi-devel openssl
	$(CHROOT) $(DEBCHROOTD) zypper --non-interactive install libxml2-devel libxslt-devel ncurses-devel expat sqlite3-devel readline-devel bzip2
	$(CHROOT) $(DEBCHROOTD) openssl version
	$(CHROOT) $(DEBCHROOTD) bash -c 'export LC_ALL=en_US.UTF-8'
	$(CHROOT) $(DEBCHROOTD) bash -c 'export PYTHONIOENCODING=UTF-8'

	#tar -xvf $(SRCROOT)/packaging/python3/openssl-1.0.2u.tar.gz -C $(DEBCHROOTD)
	#tar -xvf $(SRCROOT)/packaging/python3/openssl-fips-2.0.16.tar.gz -C $(DEBCHROOTD)

	#$(CHROOT) $(DEBCHROOTD) bash -c 'cd /openssl-fips-2.0.16 && ./config && make && make install && cd ..'
	#$(CHROOT) $(DEBCHROOTD) bash -c 'cd /openssl-1.0.2u && ./config fips shared --with-fipsdir=/usr/local/ssl/fips-2.0 -m64 -Wa,--noexecstack threads no-idea no-mdc2 no-rc5 no-krb5 no-ssl2 no-ssl3 enable-asm enable-camellia enable-seed enable-tlsext enable-rfc3779 enable-cms && make depend && make install'
	#$(CHROOT) $(DEBCHROOTD) /usr/local/ssl/bin/./openssl version

	#$(CHROOT) $(DEBCHROOTD) ln -s -f /usr/local/ssl/bin/openssl /usr/bin/openssl
	#$(CHROOT) $(DEBCHROOTD) openssl version

	#$(CHROOT) $(DEBCHROOTD) mv /usr/lib64/libcrypto.so.1.1 /usr/lib64/old_libcrypto.so.1.1
	#$(CHROOT) $(DEBCHROOTD) mv /usr/lib64/libssl.so.1.1 /usr/lib64/old_libssl.so.1.1

	#$(CHROOT) $(DEBCHROOTD) cp /usr/local/ssl/lib/libcrypto.so.1.0.0 /usr/lib64/ && \
	#$(CHROOT) $(DEBCHROOTD) cp /usr/local/ssl/lib/libssl.so.1.0.0 /usr/lib64/

	tar xf $(SRCROOT)/packaging/python3/Python-3.7.3.tgz -C $(DEBCHROOTD)

	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /Python-3.7.3 && ./configure --prefix=/usr/local/python3.7 --enable-shared --with-openssl=/usr/local/ssl/'

	$(CHROOT) $(DEBCHROOTD) make -C /Python-3.7.3
	$(CHROOT) $(DEBCHROOTD) make -C /Python-3.7.3 install

	$(CHROOT) $(DEBCHROOTD) cp /usr/local/python3.7/lib/libpython3.7m.so.1.0 /usr/lib64/
	$(CHROOT) $(DEBCHROOTD) cp /usr/local/python3.7/lib/libpython3.7m.so.1.0 /lib64/

	#Added external packages
	$(CHROOT) $(DEBCHROOTD) bash -c '/usr/local/python3.7/bin/python3.7 -m ensurepip --upgrade'
	mkdir -p $(DEBCHROOTD)/collection/
	$(CHROOT) $(DEBCHROOTD) bash -c 'update-alternatives --install /usr/bin/python3 python3 /usr/local/python3.7/bin/python3.7 1 && update-alternatives --config python3 && python3 --version'

	unzip $(SRCROOT)/packaging/ext/setuptools-50.3.2.zip -d $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /setuptools-50.3.2 && /usr/local/python3.7/bin/python3.7 setup.py install'
	tar xfz $(SRCROOT)/packaging/ext/pyinstaller-hooks-contrib-2020.10.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /pyinstaller-hooks-contrib-2020.10 && /usr/local/python3.7/bin/python3.7 setup.py install'

	tar xfz $(SRCROOT)/packaging/ext/python-dotenv-0.15.0.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /python-dotenv-0.15.0 && /usr/local/python3.7/bin/python3.7 setup.py install'

	tar xfz $(SRCROOT)/packaging/ext/altgraph-0.17.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /altgraph-0.17 && /usr/local/python3.7/bin/python3.7 setup.py install'

	#tar xfz $(SRCROOT)/packaging/pyinstaller/PyInstaller-3.6.tar.gz -C $(DEBCHROOTD)
	#$(CHROOT) $(DEBCHROOTD) bash -c 'cd /PyInstaller-3.6 && /usr/local/python3.7/bin/python3.7 setup.py install'

	tar xfz $(SRCROOT)/packaging/ext/jsonpointer-2.0.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /jsonpointer-2.0 && alias python3=/usr/local/python3.7/bin/python3.7 && python3 setup.py install && python3 setup.py bdist_rpm --dist-dir /collection/'

	tar xfz $(SRCROOT)/packaging/ext/six-1.15.0.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /six-1.15.0 && /usr/local/python3.7/bin/python3.7 setup.py install'

	tar xfz $(SRCROOT)/packaging/ext/ply-3.11.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /ply-3.11 && /usr/local/python3.7/bin/python3.7 setup.py install'

	tar xfz $(SRCROOT)/packaging/ext/decorator-4.4.2.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /decorator-4.4.2 && /usr/local/python3.7/bin/python3.7 setup.py install'

	tar xfz $(SRCROOT)/packaging/ext/jsonpatch-1.26.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /jsonpatch-1.26 && alias python3=/usr/local/python3.7/bin/python3.7 && python3 setup.py install && python3 setup.py bdist_rpm --dist-dir /collection/'

	tar xfz $(SRCROOT)/packaging/ext/jsonpath-rw-1.4.0.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /jsonpath-rw-1.4.0 && alias python3=/usr/local/python3.7/bin/python3.7 && python3 setup.py install && python3 setup.py bdist_rpm --dist-dir /collection/'

	tar xfz $(SRCROOT)/packaging/ext/setproctitle-1.1.10.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /setproctitle-1.1.10 && /usr/local/python3.7/bin/python3.7 setup.py install'

	tar xfz $(SRCROOT)/packaging/ext/pyudev-0.22.0.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /pyudev-0.22.0 && /usr/local/python3.7/bin/python3.7 setup.py install'

	tar xfz $(SRCROOT)/packaging/ext/jsondiff-1.2.0.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /jsondiff-1.2.0 && /usr/local/python3.7/bin/python3.7 setup.py install'

	tar xfz $(SRCROOT)/packaging/ext/pyaes-1.6.1.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /pyaes-1.6.1 && /usr/local/python3.7/bin/python3.7 setup.py install'

	tar xfz $(SRCROOT)/packaging/ext/urllib3-1.26.2.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /urllib3-1.26.2 && alias python3=/usr/local/python3.7/bin/python3.7 && python3 setup.py install && python3 setup.py bdist_rpm --dist-dir /collection/'

	tar xfz $(SRCROOT)/packaging/ext/colorama-0.4.4.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'export LC_ALL=en_US.UTF-8 && cd /colorama-0.4.4 && /usr/local/python3.7/bin/python3.7 setup.py install'

	tar xfz $(SRCROOT)/packaging/ext/tabulate-0.8.7.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /tabulate-0.8.7 && /usr/local/python3.7/bin/python3.7 setup.py install'

	tar xfz $(SRCROOT)/packaging/ext/wcwidth-0.2.5.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /wcwidth-0.2.5 && /usr/local/python3.7/bin/python3.7 setup.py install'

	tar xfz $(SRCROOT)/packaging/ext/prompt_toolkit-3.0.8.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /prompt_toolkit-3.0.8 && /usr/local/python3.7/bin/python3.7 setup.py install'

	tar xfz $(SRCROOT)/packaging/ext/certifi-2020.11.8.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /certifi-2020.11.8 && /usr/local/python3.7/bin/python3.7 setup.py install'

	#cp -r $(MTX_STAGING_PATH)/externals/*.zip packaging/ext
	#cp -r $(SRCROOT)/*.* $(DEBCHROOTD)/buildpwd
	#$(CHROOT) $(DEBCHROOTD) bash -c 'cd /'
	#unzip packaging/ext/python-ilorest-library-$(MX_ILOREST_LIB_VERSION).zip -d $(DEBCHROOTD)

	mkdir -p $(DEBCHROOTD)/buildpwd/
	cp -r $(SRCROOT)/* $(DEBCHROOTD)/buildpwd
	$(CHROOT) $(DEBCHROOTD) bash -c 'update-alternatives --install /usr/bin/python3 python3 /usr/local/python3.7/bin/python3.7 1 && update-alternatives --config python3 && python3 --version && \
	alias python3=/usr/local/python3.7/bin/python3.7 && cd /buildpwd/ && python3 setup.py bdist_rpm --dist-dir /collection/'
	mv $(DEBCHROOTD)/collection/*.noarch.rpm ${MTX_COLLECTION_PATH}/
endef

bdist-rpm:
	zypper --non-interactive install rpm-build
	$(eval DIR=$(shell pwd))
	$(eval ILOREST=$(DIR)/ilorest/src)
	$(eval PYTHONPATH=$(ILOREST):$(PYTHONPATH))
	mkdir ${MTX_COLLECTION_PATH}/python2/
	tar xfz ./packaging/ext/setuptools-2.2.tar.gz
	cd ./setuptools-2.2 && \
	$(PYTHON) setup.py install
	tar xfz ./packaging/ext/PySocks-1.6.8.tar.gz
	cd ./PySocks-1.6.8 && \
	$(PYTHON) setup.py install
	tar xfz ./packaging/ext/wheel-0.36.1.tar.gz
	cd ./wheel-0.36.1 && \
	$(PYTHON) setup.py install
	unzip ./packaging/ext/recordtype-1.1.zip
	cd ./recordtype-1.1 && \
	$(PYTHON) setup.py bdist_rpm --dist-dir ${MTX_COLLECTION_PATH}/python2/
	tar xfz ./packaging/ext/pypandoc-1.4.tar.gz
	cd ./pypandoc-1.4 && \
	$(PYTHON) setup.py install
	$(PYTHON) setup.py bdist_rpm --dist-dir ${MTX_COLLECTION_PATH}/python2/
	tar xfz ./packaging/ext/jsonpointer-1.10.tar.gz
	cd ./jsonpointer-1.10 && \
	iconv -f 'UTF-8' -t 'ASCII//TRANSLIT//IGNORE' jsonpointer.py > jp && \
	cp -f jp jsonpointer.py
	cd ./jsonpointer-1.10 && \
	rm jp
	cd ./jsonpointer-1.10 && \
	$(PYTHON) setup.py bdist_rpm --dist-dir ${MTX_COLLECTION_PATH}/python2/
	tar xfz ./packaging/ext/jsonpatch-1.16.tar.gz
	cd ./jsonpatch-1.16 && \
	iconv -f 'UTF-8' -t 'ASCII//TRANSLIT//IGNORE' jsonpatch.py > jp && \
	cp -f jp jsonpatch.py
	cd ./jsonpatch-1.16 && \
	rm jp
	cd ./jsonpatch-1.16 && \
	$(PYTHON) setup.py bdist_rpm --dist-dir ${MTX_COLLECTION_PATH}/python2/
	tar xfz ./packaging/ext/jsonpath-rw-1.4.0.tar.gz

=== debian/changelog ===
python-ilorest (4.8.0.0+ds-1) unstable; urgency=medium

  * [f3e42d1] New upstream version 4.8.0.0+ds
  * [acdb704] Rebuild patch queue from patch-queue branch
    Added patch:
    upstream/ris.py-Use-raw-strings-for-all-regexes.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 03 Feb 2024 23:13:41 +0100

python-ilorest (4.7.0.0+ds-1) unstable; urgency=medium

  * [577fca9] New upstream version 4.7.0.0+ds

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 01 Jan 2024 11:43:48 +0100

python-ilorest (4.6.0.0+ds-1) unstable; urgency=medium

  * [94e69c7] New upstream version 4.6.0.0+ds

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 28 Oct 2023 05:45:28 +0200

python-ilorest (4.5.0.0+ds-1) unstable; urgency=medium

  * [0ac53b3] d/watch: Add compression type
  * [300beed] New upstream version 4.5.0.0+ds

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 01 Oct 2023 17:30:38 +0200

## python-ilorest 4.8.0.0+ds

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,22 @@
 Maintainer: Carsten Schoenert <c.schoenert@t-online.de>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc <!nodoc>,
+ pybuild-plugin-pyproject,
  python3-all,
- python3-jsonpatch,
- python3-jsonpath-rw,
+# python3-certifi <!nocheck>,
+ python3-jsonpatch <!nodoc>,
+ python3-jsonpath-rw <!nodoc>,
  python3-setuptools,
- python3-uritools,
+# python3-urllib3 <!nocheck>,
  python3-sphinx <!nodoc>,
- python3-sphinx-rtd-theme,
- python3-sphinxcontrib.restbuilder,
+ python3-sphinx-rtd-theme <!nodoc>,
+ python3-sphinxcontrib.restbuilder <!nodoc>,
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/tijuca/python-ilorest.git
 Vcs-Browser: https://salsa.debian.org/tijuca/python-ilorest
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/HewlettPackard/python-ilorest-library
 
 Package: python-ilorest-doc
